Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511746 - virt-who can't terminal when run it without --esx-password in one shot mode
Summary: virt-who can't terminal when run it without --esx-password in one shot mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who
Version: 7.5
Hardware: x86_64
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Jiri Hnidek
QA Contact: Eko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 02:54 UTC by Liushihui
Modified: 2018-10-30 10:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:47:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3169 None None None 2018-10-30 10:48:02 UTC

Comment 1 Jiri Hnidek 2018-01-12 14:58:08 UTC
This bug should be fixed in virt-who-0.21.2-1. When I run following command:

virt-who --esx --esx-owner=Default_Organization --esx-env=Library --esx-server=10.73.131.114 --esx-username=administrator@vsphere.local  -o -d

then I get following output and virt-who is terminated as expected:

2018-01-12 15:52:09,351 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:all_drop_dir_config_sections:1239 - Configuration directory '/etc/virt-who.d/' appears empty
2018-01-12 15:52:09,352 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [global]: Value for "interval" not set, using default: 3600
2018-01-12 15:52:09,352 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [global]: Value for "log_per_config" not set, using default: False
2018-01-12 15:52:09,352 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [global]: Value for "print_" not set, using default: False
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [global]: Value for "reporter_id" not set, using default: localhost.localdomain-1b4147c762254fafae65f754dc1eabc5
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [global]: Value for "log_dir" not set, using default: /var/log/rhsm
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [global]: Value for "background" not set, using default: False
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [global]: Value for "configs" not set, using default: []
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [global]: Value for "log_file" not set, using default: rhsm.log
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [env/cmdline]: Value for "simplified_vim" not set, using default: True
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [env/cmdline]: Value for "hypervisor_id" not set, using default: uuid
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - [env/cmdline]: Value for "is_hypervisor" not set, using default: True
2018-01-12 15:52:09,353 [virtwho.rhsm_log ERROR] MainProcess(19071):MainThread @config.py:init_config:1395 - [env/cmdline]: Required option: "password" not set.
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - Dropping invalid configuration "env/cmdline"
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @config.py:init_config:1395 - No valid configurations found
2018-01-12 15:52:09,353 [virtwho.rhsm_log WARNING] MainProcess(19071):MainThread @parser.py:parse_options:514 - The following cli options: --esx, --esx-owner, --esx-env, --esx-server, --esx-username are deprecated and will be removed in the next release. Please see 'man virt-who-config' for details on adding a configuration section.
2018-01-12 15:52:09,353 [virtwho.rhsm_log ERROR] MainProcess(19071):MainThread @main.py:main:139 - virt-who can't be started: no valid configuration found

I'm moving this bug report to status MODIFIED to be able to verify the bug fix.

Comment 6 errata-xmlrpc 2018-10-30 10:47:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3169


Note You need to log in before you can comment on or make changes to this bug.